[group:mastodon]
programs=web,sidekiq_default,sidekiq_scheduler,sidekiq_push,sidekiq_pull,streaming

[program:web]
command=/home/mastodon/.rbenv/shims/bundle exec puma -C config/puma.rb
user=mastodon
directory=/home/mastodon/live
stdout_logfile=/home/mastodon/live/log/puma.log
stdout_logfile_maxbytes=1MB
stdout_logfile_backups=5
redirect_stderr=true
environment=RAILS_ENV=production,PORT=3000,RAILS_LOG_LEVEL=warn,MAX_THREADS=10,WEB_CONCURRENCY=4
stopasgroup=true

[program:sidekiq_default]
command=/home/mastodon/.rbenv/shims/bundle exec sidekiq -c 30 -q default -q mailers -q push -q pull -q ingress
user=mastodon
directory=/home/mastodon/live
stdout_logfile=/home/mastodon/live/log/sidekiq.log
stdout_logfile_maxbytes=1MB
stdout_logfile_backups=5
redirect_stderr=true
environment=RAILS_ENV=production,DB_POOL=30
stopasgroup=true

[program:sidekiq_scheduler]
command=/home/mastodon/.rbenv/shims/bundle exec sidekiq -c 5 -q scheduler -q default -q mailers -q push -q pull -q ingress
user=mastodon
directory=/home/mastodon/live
stdout_logfile=/home/mastodon/live/log/sidekiq.log
stdout_logfile_maxbytes=1MB
stdout_logfile_backups=5
redirect_stderr=true
environment=RAILS_ENV=production,DB_POOL=5
stopasgroup=true

[program:sidekiq_pull]
command=/home/mastodon/.rbenv/shims/bundle exec sidekiq -c 30 -q pull -q ingress -q push -q default -q mailers
user=mastodon
directory=/home/mastodon/live
stdout_logfile=/home/mastodon/live/log/sidekiq.log
stdout_logfile_maxbytes=1MB
stdout_logfile_backups=5
redirect_stderr=true
environment=RAILS_ENV=production,DB_POOL=30
stopasgroup=true

[program:sidekiq_push]
command=/home/mastodon/.rbenv/shims/bundle exec sidekiq -c 30 -q push -q pull -q ingress -q default -q mailers
user=mastodon
directory=/home/mastodon/live
stdout_logfile=/home/mastodon/live/log/sidekiq.log
stdout_logfile_maxbytes=1MB
stdout_logfile_backups=5
redirect_stderr=true
environment=RAILS_ENV=production,DB_POOL=30
stopasgroup=true

[program:streaming]
command=/usr/bin/npm run start
user=mastodon
directory=/home/mastodon/live
stdout_logfile=/home/mastodon/live/log/streaming.log
stdout_logfile_maxbytes=1MB
stdout_logfile_backups=5
redirect_stderr=true
environment=NODE_ENV=production,PORT=4000
stopasgroup=true
